
Member Nodes - MNDeployment #3186

USA-NPN (USA National Phenology Network)

2012-09-05 02:13 - Dave Vieglais

Status: Deprecated Start date: 2012-09-05

Priority: Normal Due date: 2013-10-11

Assignee: Laura Moyers % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Operational   

Latitude: 32.22 MN_Date_Online: 2014-01-28

Longitude: -110.93 Name:  

MN Description: DataONE member node hosting annual

phenology datasets for the USA-NPN.\

Logo URL:  

Base URL: https://www.usanpn.org/ Date Upcoming:  

NodeIdentifier: urn:node:USANPN Date Deprecated: 2017-12-18

MN Tier: Tier 4 Information URL:  

Software stack: metacat Version:  

Description

This issue is to track the deployment or otherwise of the NPN - national Phenology Network member node.

Subtasks:

Task # 3187: Initial contact with NPN Closed

Task # 3244: Scope out effort required to stand up USA-NPN MN Closed

Task # 3495: Collect application metadata for the USA-NPN member node Closed

Task # 3496: Register test NPN node in cn-stage-2 environment Closed

  Task # 3953: Generate urn:node:mnTestUSANPN client certificate Closed

  Task # 3966: Generate test server certificate for USANPN Closed

Task # 4026: Generate urn:node:USANPN client certificate Closed

Task # 4042: (Waiting For) Lee deploying Metacat stack to production environment Closed

Task # 4148: Troubleshoot getting system metadata and objects on the production USANPN Closed

Task # 8124: NPN MN deprecation activities Closed

  Task # 8620: NPN: move to contributing repository Closed

Related issues:

Related to Infrastructure - Task #7591: USANPN fails with TLS SNI handshake a... Closed 2016-01-21

History

#1 - 2012-09-07 17:37 - Bruce Wilson

- Status changed from New to In Review

In progress.  Need to scope out the level of effort for implementing this member node, probably based on Metacat.  

#2 - 2013-01-18 03:08 - Bruce Wilson

- Subject changed from Deploy the National Phenology Network MN to Deploy the USA-NPN (USA National Phenology Network) MN

#3 - 2013-01-30 18:41 - Matthew Jones

- Start date deleted (2012-09-05)

#4 - 2013-01-30 18:49 - John Cobb

- Target version set to Deploy by end of Y4Q4

- Start date set to 2013-01-30
- Due date set to 2013-07-31

#5 - 2013-01-30 19:49 - John Cobb

- Subject changed from Deploy the USA-NPN (USA National Phenology Network) MN to USA-NPN (USA National Phenology Network) MN

#6 - 2013-07-18 19:52 - Bruce Wilson

- Due date changed from 2013-07-31 to 2013-10-31

- Target version changed from Deploy by end of Y4Q4 to 315

#7 - 2013-07-25 15:31 - John Cobb

Concall 20130724 with Alyssa Rosemartin alyssarosemartin@gmail.com, Lee Marsh npnlee85@gmail.com, Laura Moyers and John Cobb.

Scoping and information session.

Y5Q1 target reconfirmed.

NPN is looking to deploy Metacat-based MN

Tier is likely 1 (but NPN may want to move to Tier-3 in the indefinite future)

Outstanding issues:

NPN test server stand-up (soon)

understanding packing issues

NPN LDAP infrastructure (may not be needed with Tier 1)

contacting and understanding DataONE testing service for V&V

NPN PID strategy: NPN is currently looking at DOI options but PID strategy has not yet been set

Make sure that DataONE and NPN have common understanding on immutability/mutability: NPN may wish to publish annual and/or monthly digests.

They may also want to publish a "live-stream" that includes all data contributed no matter how recent.

Next steps: follow-up concall to communicate more technical details on issues above and other details on MN-Deployment

#8 - 2013-08-01 19:38 - Bruce Wilson

- Status changed from In Review to In Progress

#9 - 2013-08-05 15:52 - Laura Moyers

- Latitude set to 32.22

- Longitude set to -110.93

#10 - 2013-08-23 12:53 - Bruce Wilson

- Status changed from In Progress to Ready

Working on deploying a metacat MN.  This is mostly a reclassification of the status to "developing" from in progress, to match the MN Deployment

Checklist.  
#11 - 2013-09-11 19:21 - Bruce Wilson

Metacat has been installed and is working with LDAP.  Working to resolve some configuration issues for adding data.  

#12 - 2013-11-01 01:59 - Chris Jones

- MN Tier set to Tier 1

- NodeIdentifier set to urn:node:USANPN

#13 - 2013-11-06 19:30 - Bruce Wilson

- Status changed from Ready to Testing

#14 - 2013-11-07 00:39 - Bruce Wilson

- Target version changed from 315 to Operational

- Due date changed from 2013-10-31 to 2013-08-01

#15 - 2013-11-07 00:52 - Bruce Wilson

- Status changed from Testing to Operational

#16 - 2014-02-07 20:49 - Laura Moyers

- Software stack set to GMN

- MN Tier changed from Tier 1 to Tier 4

#17 - 2014-02-24 18:48 - Laura Moyers

- Base URL set to https://www.usanpn.org/

#18 - 2014-04-30 14:50 - Laura Moyers

- MN_Date_Online set to 2014-01-28

#19 - 2014-05-23 18:50 - Bruce Wilson

- Subject changed from USA-NPN (USA National Phenology Network) MN to USA-NPN (USA National Phenology Network)

#20 - 2015-04-16 01:13 - Laura Moyers

- Assignee changed from Bruce Wilson to Laura Moyers

#21 - 2015-05-23 00:27 - Laura Moyers

- MN Description set to DataONE member node hosting annual phenology datasets for the USA-NPN.\

#23 - 2016-01-15 21:25 - Laura Moyers

- Related to Task #7591: USANPN fails with TLS SNI handshake alert added

#24 - 2016-05-04 19:07 - Laura Moyers

- Software stack changed from GMN to metacat

#25 - 2017-12-18 20:25 - Amy Forrester

Deprecated. Archived POC

Jake Weltzin (jweltzin@usgs.gov)

Lee Marsh (npnlee85@gmail.com)

#26 - 2018-01-10 01:14 - Dave Vieglais

2024-04-26 3/4

mailto:jweltzin@usgs.gov
mailto:npnlee85@gmail.com


- Sprint set to Ongoing Operational

#27 - 2018-04-27 20:55 - Amy Forrester

- Date Deprecated set to 2017-12-18

#28 - 2018-06-20 13:41 - Amy Forrester

- Status changed from Operational to Deprecated
